using System;
using org.apache.log4j;
using java.lang;
using loggerDemo;

// Copyright 2002, JNBridge LLC

namespace com.jnbridge.demos.logger
{
	/// <summary>
	/// Summary description for LoggerDemo.
	/// </summary>
	class LoggerDemo
	{
		static Category cat 
			= Category.getInstance("com.jnbridge.demos.logger.LoggerDemo");

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			BasicConfigurator.configure();

			cat.info(new JavaString("Entering application"));
			DotNetClass dotNetClass = new DotNetClass();
			JavaClass javaClass = new JavaClass();
			for (int i = 0; i < 5; i++)
			{
				dotNetClass.f();
				javaClass.doIt();
			}
			cat.info(new JavaString("Exiting application"));
		}
	}

	public class DotNetClass
	{
		static Category cat = Category.getInstance("com.jnbridge.demos.logger.DotNetClass");

		public void f()
		{
			cat.debug(new JavaString("Logged from .NET"));
		}
	}
}
